%global npm_name ecc-jsbn

Name: nodejs-ecc-jsbn
Version: 0.2.0
Release: %mkrel 6
Summary: ECC JS code based on JSBN
License: MIT
Group: Development/Other
URL: https://github.com/quartzjer/ecc-jsbn
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%nodejs_fixdep jsbn '>=1.1.0'

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr index.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr lib %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr test.js %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%check
%{nodejs_symlink_deps} --check

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc README.md



%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.2.0-6.mga10
+ Revision: 2208997
- Mageia 10 Mass Rebuild

* Tue Mar 22 2022 umeabot <umeabot> 0.2.0-5.mga9
+ Revision: 1819433
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 0.2.0-4.mga8
+ Revision: 1522080
- Mageia 8 Mass Rebuild

* Fri Jan 18 2019 joequant <joequant> 0.2.0-3.mga7
+ Revision: 1357953
- fix deps

* Sun Dec 16 2018 kekepower <kekepower> 0.2.0-2.mga7
+ Revision: 1341761
- Fix dep for jsbn

* Sun Dec 16 2018 kekepower <kekepower> 0.2.0-1.mga7
+ Revision: 1341716
- imported package nodejs-ecc-jsbn

